# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_Analysis Class Reference

`#include <ExprIntrp_Analysis.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ExprIntrp_Analysis ()
Standard_EXPORT void | SetMaster (const Handle(ExprIntrp_Generator)&agen)
Standard_EXPORT void | Push (const Handle(Expr_GeneralExpression)&exp)
Standard_EXPORT void | PushRelation (const Handle(Expr_GeneralRelation)&rel)
Standard_EXPORT void | PushName (const TCollection_AsciiString &name)
Standard_EXPORT void | PushValue (const Standard_Integer degree)
Standard_EXPORT void | PushFunction (const Handle(Expr_GeneralFunction)&func)
Standard_EXPORT Handle_Expr_GeneralExpression | Pop ()
Standard_EXPORT Handle_Expr_GeneralRelation | PopRelation ()
Standard_EXPORT TCollection_AsciiString | PopName ()
Standard_EXPORT Standard_Integer | PopValue ()
Standard_EXPORT Handle_Expr_GeneralFunction | PopFunction ()
Standard_EXPORT Standard_Boolean | IsExpStackEmpty () const
Standard_EXPORT Standard_Boolean | IsRelStackEmpty () const
Standard_EXPORT void | ResetAll ()
Standard_EXPORT void | Use (const Handle(Expr_NamedFunction)&func)
Standard_EXPORT void | Use (const Handle(Expr_NamedExpression)&named)
Standard_EXPORT Handle_Expr_NamedExpression | GetNamed (const TCollection_AsciiString &name)
Standard_EXPORT Handle_Expr_NamedFunction | GetFunction (const TCollection_AsciiString &name)

## Private Attributes

ExprIntrp_StackOfGeneralExpression | myGEStack
ExprIntrp_StackOfGeneralRelation | myGRStack
ExprIntrp_StackOfGeneralFunction | myGFStack
ExprIntrp_StackOfNames | myNameStack
TColStd_StackOfInteger | myValueStack
ExprIntrp_SequenceOfNamedFunction | myFunctions
ExprIntrp_SequenceOfNamedExpression | myNamed
Handle_ExprIntrp_Generator | myMaster

## Constructor & Destructor Documentation

Standard_EXPORT ExprIntrp_Analysis::ExprIntrp_Analysis | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Expr_NamedFunction ExprIntrp_Analysis::GetFunction | ( | const TCollection_AsciiString & | name | ) |

Standard_EXPORT Handle_Expr_NamedExpression ExprIntrp_Analysis::GetNamed | ( | const TCollection_AsciiString & | name | ) |

Standard_EXPORT Standard_Boolean ExprIntrp_Analysis::IsExpStackEmpty | ( |  | ) | const

Standard_EXPORT Standard_Boolean ExprIntrp_Analysis::IsRelStackEmpty | ( |  | ) | const

void ExprIntrp_Analysis::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ExprIntrp_Analysis::operator new | ( | size_t | size | ) | `[inline]`

void* ExprIntrp_Analysis::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Expr_GeneralExpression ExprIntrp_Analysis::Pop | ( |  | ) |

Standard_EXPORT Handle_Expr_GeneralFunction ExprIntrp_Analysis::PopFunction | ( |  | ) |

Standard_EXPORT TCollection_AsciiString ExprIntrp_Analysis::PopName | ( |  | ) |

Standard_EXPORT Handle_Expr_GeneralRelation ExprIntrp_Analysis::PopRelation | ( |  | ) |

Standard_EXPORT Standard_Integer ExprIntrp_Analysis::PopValue | ( |  | ) |

Standard_EXPORT void ExprIntrp_Analysis::Push | ( | const Handle(Expr_GeneralExpression)& | exp | ) |

Standard_EXPORT void ExprIntrp_Analysis::PushFunction | ( | const Handle(Expr_GeneralFunction)& | func | ) |

Standard_EXPORT void ExprIntrp_Analysis::PushName | ( | const TCollection_AsciiString & | name | ) |

Standard_EXPORT void ExprIntrp_Analysis::PushRelation | ( | const Handle(Expr_GeneralRelation)& | rel | ) |

Standard_EXPORT void ExprIntrp_Analysis::PushValue | ( | const Standard_Integer | degree | ) |

Standard_EXPORT void ExprIntrp_Analysis::ResetAll | ( |  | ) |

Standard_EXPORT void ExprIntrp_Analysis::SetMaster | ( | const Handle(ExprIntrp_Generator)& | agen | ) |

Standard_EXPORT void ExprIntrp_Analysis::Use | ( | const Handle(Expr_NamedExpression)& | named | ) |

Standard_EXPORT void ExprIntrp_Analysis::Use | ( | const Handle(Expr_NamedFunction)& | func | ) |

## Field Documentation

ExprIntrp_SequenceOfNamedFunction ExprIntrp_Analysis::myFunctions `[private]`

ExprIntrp_StackOfGeneralExpression ExprIntrp_Analysis::myGEStack `[private]`

ExprIntrp_StackOfGeneralFunction ExprIntrp_Analysis::myGFStack `[private]`

ExprIntrp_StackOfGeneralRelation ExprIntrp_Analysis::myGRStack `[private]`

Handle_ExprIntrp_Generator ExprIntrp_Analysis::myMaster `[private]`

ExprIntrp_SequenceOfNamedExpression ExprIntrp_Analysis::myNamed `[private]`

ExprIntrp_StackOfNames ExprIntrp_Analysis::myNameStack `[private]`

TColStd_StackOfInteger ExprIntrp_Analysis::myValueStack `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_Analysis.hxx